Name:           ffmpeg2dirac
Version:        0.2.0
Release:        6%{?dist}
Summary:        Convert any file that ffmpeg can decode to dirac or theora

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://diracvideo.org
Source0:        http://downloads.sourceforge.net/dirac/ffmpeg2dirac-%{version}.tar.gz
Patch0:         ffmpeg2dirac-ffmpeg.patch
Patch77:	ffmpeg2dirac-0.2.0-ffmpeg-53.patch
Patch78:	ffmpeg2dirac-0.2.0-ffmpeg-1.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scons

BuildRequires:  dirac-devel >= 1.0.2
BuildRequires:  ffmpeg-compat-010-devel
BuildRequires:  libkate-devel >= 0.3.0
BuildRequires:  libtheora-devel
BuildRequires:  libogg-devel >= 1.1.0
BuildRequires:  libvorbis-devel
BuildRequires:  schroedinger-devel >= 1.0.6

%description
With ffmpeg2dirac, you can convert any file that ffmpeg can decode to Dirac or
Theora. right now the settings are hardcoded into the binary. the idea is to
provide ffmpeg2dirac as a binary along sites like diracvideo.org to enable as
many people as possible to encode video clips with the same settings.


%prep
%setup -q
%patch0 -p1 -b .ff08
%patch77 -p1 -b .ffmpeg-53
#%patch78 -p1 -b .ffmpeg-1.0

sed -i -e 's/1.0beta1/1.0/' SConstruct


%build
PKG_CONFIG_PATH=%{_libdir}/ffmpeg-compat-010/pkgconfig \
scons \
  prefix=%{_prefix} \
  mandir=PREFIX/share/man \
  APPEND_CCFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security" \
  APPEND_LINKFLAGS=-lm \
  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
PKG_CONFIG_PATH=%{_libdir}/ffmpeg-compat-010/pkgconfig \
scons \
  destdir=$RPM_BUILD_ROOT \
  prefix=%{_prefix} \
  mandir=PREFIX/share/man \
  APPEND_CCFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security" \
  APPEND_LINKFLAGS=-lm \
  install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%doc subtitles.txt
%{_bindir}/ffmpeg2dirac
%{_mandir}/man1/ffmpeg2dirac.1.*


%changelog
* Wed Apr  8 2015 Philippe Troin <phil@fifi.org> - 0.2.0-6
- Add -Wno-error=format-security to CFLAGS for this old code.

* Thu Feb  6 2014 Philippe Troin <phil@fifi.org> - 0.2.0-5
- Link against -lm.

* Thu Sep 26 2013 Philippe Troin <phil@fifi.org> - 0.2.0-4
- Drop patch for FFMPEG 1.0 and use the newly create ffmpeg-compat-010 libraries.

* Thu Sep 26 2013 Philippe Troin <phil@fifi.org> - 0.2.0-3
- Added patch for FFMPEG 1.0.

* Sun Jun  3 2012 Philippe Troin <phil@fifi.org> - 0.2.0-2
- Added patch for FFMPEG 53.
- Take over maintenance from rpmfusion.

* Thu Sep 22 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.2.0-1
- Update to 0.2.0
- Add Patch for FFmpeg-0.8

* Fri Oct 16 2009 kwizart <kwizart at gmail.com> - 0.1.0-4
- Rebuild for F-12

* Tue Apr 14 2009 kwizart < kwizart at gmail.com > - 0.1.0-3
- Better scons scheme
- Better description

* Mon Mar 23 2009 kwizart < kwizart at gmail.com > - 0.1.0-2
- Bump schroedinger-devel to 1.0.6

* Tue Mar 17 2009 kwizart < kwizart at gmail.com > - 0.1.0-1
- Initial Build
